Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1693747 - [RFE]v2v - Enhanced Error Reporting in UI from virt-v2v logs
Summary: [RFE]v2v - Enhanced Error Reporting in UI from virt-v2v logs
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: V2V
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.3
Assignee: Brett Thurber
QA Contact: Yadnyawalk Tale
Red Hat CloudForms Documentation
URL:
Whiteboard: v2v
Depends On: 1595365
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-28 14:56 UTC by Satoe Imaishi
Modified: 2019-04-10 15:19 UTC (History)
10 users (show)

Fixed In Version: 5.10.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1595365
Environment:
Last Closed:
Category: ---
Cloudforms Team: V2V
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 CFME Bot 2019-04-04 22:06:06 UTC
New commit detected on ManageIQ/manageiq/hammer:

https://github.com/ManageIQ/manageiq/commit/aa22a823bf38b56b4c82fb8b0cac937016af6cb0
commit aa22a823bf38b56b4c82fb8b0cac937016af6cb0
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Tue Mar 19 06:39:40 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Tue Mar 19 06:39:40 2019 -0400

    Merge pull request #18564 from fdupont-redhat/v2v_error_reporting_expose_virtv2v_message

    [V2V] Expose virt-v2v-wrapper error message in options hash

    (cherry picked from commit a617d3c7033e3b37e9153466efd75468918a827e)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693747

 app/models/service_template_transformation_plan_task.rb | 1 +
 spec/models/service_template_transformation_plan_task_spec.rb | 22 +-
 2 files changed, 15 insertions(+), 8 deletions(-)

Comment 3 CFME Bot 2019-04-04 22:07:19 UTC
New commit detected on ManageIQ/manageiq-content/hammer:

https://github.com/ManageIQ/manageiq-content/commit/3d9d3b3200615edb89b8b2650996cbf3b68985cc
commit 3d9d3b3200615edb89b8b2650996cbf3b68985cc
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Fri Mar 22 13:57:02 2019 -0400
Commit:     Greg McCullough <gmccullo@redhat.com>
CommitDate: Fri Mar 22 13:57:02 2019 -0400

    Merge pull request #514 from fdupont-redhat/v2v_error_reporting_expose_virtv2v_message

    [V2V] Expose virt-v2v-wrapper error message in progress.states

    (cherry picked from commit 23c5ae2a7f9c63dba96bf9f07654d666cb2e7357)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1693747

 content/automate/ManageIQ/Transformation/Common.class/__methods__/vmchecktransformed.rb | 4 +-
 spec/content/automate/ManageIQ/Transformation/Common.class/__methods__/vmchecktransformed_spec.rb | 3 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

Comment 4 CFME Bot 2019-04-05 17:36:34 UTC
New commits detected on ManageIQ/manageiq-v2v/hammer:

https://github.com/ManageIQ/manageiq-v2v/commit/acf1d6d432c4f583de0bf017dccc77598916fcf0
commit acf1d6d432c4f583de0bf017dccc77598916fcf0
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Tue Mar 26 06:12:40 2019 -0400
Commit:     Milan Zázrivec <mzazrivec@redhat.com>
CommitDate: Tue Mar 26 06:12:40 2019 -0400

    Merge pull request #918 from mturley/734-enhanced-error-reporting

    [#734] Add 'Status Detail' enhanced error message to info popover on a migration task

    (cherry picked from commit 9db5954c635b1b42be341687de4a7706fc56e680)

    https://bugzilla.redhat.com/show_bug.cgi?id=1693747

 app/javascript/react/screens/App/Plan/components/PlanRequestDetailList/PlanRequestDetailList.js | 8 +
 1 file changed, 8 insertions(+)

Comment 5 Yadnyawalk Tale 2019-04-10 15:19:33 UTC
This is great feature indeed, I can see 'Status Detail' component on popover which is showing failure and success status.
Tested against 2/3 failed and successful migration.

Verified on: 5.10.3.1.20190408182335_d0fa1a0


Note You need to log in before you can comment on or make changes to this bug.